"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _buildMediaQuery = _interopRequireDefault(require("../util/buildMediaQuery"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default({
  tailwindConfig: {
    theme
  }
}) {
  return function (css) {
    css.walkAtRules('screen', atRule => {
      var _theme$screens, _theme$screens$hasOwn;

      const screen = atRule.params;

      if (!((_theme$screens = theme.screens) !== null && _theme$screens !== void 0 && (_theme$screens$hasOwn = _theme$screens.hasOwnProperty) !== null && _theme$screens$hasOwn !== void 0 && _theme$screens$hasOwn.call(_theme$screens, screen))) {
        throw atRule.error(`No \`${screen}\` screen found.`);
      }

      atRule.name = 'media';
      atRule.params = (0, _buildMediaQuery.default)(theme.screens[screen]);
    });
  };
}